searchNodes=[{"doc":"","ref":"OnFlow.html","title":"OnFlow","type":"module"},{"doc":"Creates a Flow account. Note that an existing account must be passed in as the first argument, since internally this is executed as a transaction on the existing account. On success, it returns {:ok, address} , where address is a hex-encoded representation of the address. On failure, it returns {:error, response} or {:error, :timeout} .","ref":"OnFlow.html#create_account/2","title":"OnFlow.create_account/2","type":"function"},{"doc":"Deploys a contract to an account. This just takes in existing account credentials, the name of the contract, and the contract code. Internally, this is just a single-signer, single-authorizer transaction. Options: :update? - either true or false to update a previously deployed contract with the same name.","ref":"OnFlow.html#deploy_contract/4","title":"OnFlow.deploy_contract/4","type":"function"},{"doc":"","ref":"OnFlow.html#execute_script/2","title":"OnFlow.execute_script/2","type":"function"},{"doc":"Executes a script on the Flow network to show account data.","ref":"OnFlow.html#get_account/1","title":"OnFlow.get_account/1","type":"function"},{"doc":"Returns a binary of the latest block ID. This is typically used as a reference ID when sending transactions to the network.","ref":"OnFlow.html#get_latest_block_id/0","title":"OnFlow.get_latest_block_id/0","type":"function"},{"doc":"Fetches the transaction result for a given transaction ID.","ref":"OnFlow.html#get_transaction_result/1","title":"OnFlow.get_transaction_result/1","type":"function"},{"doc":"Sends a transaction. Options: :args - the list of objects that will be sent along with the transaction. This must be an Elixir list that can be encoded to JSON. :authorizers - a list of authorizing %Credentials{} structs to authorize the transaction. :payer - a hex-encoded address or %Credentials{} struct that will pay for the transaction. :wait_until_sealed? - either true or false . Note that if the transaction is not sealed after 30 seconds, this will return {:error, :timeout} . Defaults to true .","ref":"OnFlow.html#send_transaction/3","title":"OnFlow.send_transaction/3","type":"function"},{"doc":"","ref":"OnFlow.html#t:account/0","title":"OnFlow.account/0","type":"type"},{"doc":"","ref":"OnFlow.html#t:address/0","title":"OnFlow.address/0","type":"type"},{"doc":"","ref":"OnFlow.html#t:error/0","title":"OnFlow.error/0","type":"type"},{"doc":"","ref":"OnFlow.html#t:hex_string/0","title":"OnFlow.hex_string/0","type":"type"},{"doc":"","ref":"OnFlow.html#t:transaction_result/0","title":"OnFlow.transaction_result/0","type":"type"},{"doc":"Defines a struct that contains an address, a public key, and a private key. :address might be nil , but the key will be present in the struct. Do not initialize this directly. Instead, call Credentials.new/1 or Credentials.new!/1 .","ref":"OnFlow.Credentials.html","title":"OnFlow.Credentials","type":"module"},{"doc":"Returns a %Credentials{} struct with the keypairs generated.","ref":"OnFlow.Credentials.html#generate_keys/0","title":"OnFlow.Credentials.generate_keys/0","type":"function"},{"doc":"Initializes a %Credentials{} struct. Returns {:ok, credentials} on success. The params must contain a :private_key and :public_key , or {:error, :missing_keys} will be returned. :public_key and :private_key must be hex-encoded strings.","ref":"OnFlow.Credentials.html#new/1","title":"OnFlow.Credentials.new/1","type":"function"},{"doc":"Initializes a %Credentials{} struct. Raises on error. See the documentation for new/1 .","ref":"OnFlow.Credentials.html#new!/1","title":"OnFlow.Credentials.new!/1","type":"function"},{"doc":"","ref":"OnFlow.Credentials.html#t:keys_with_address/0","title":"OnFlow.Credentials.keys_with_address/0","type":"type"},{"doc":"","ref":"OnFlow.Credentials.html#t:t/0","title":"OnFlow.Credentials.t/0","type":"type"},{"doc":"","ref":"OnFlow.Crypto.html","title":"OnFlow.Crypto","type":"module"},{"doc":"Signs the message with the given private key. Options are: :hash , which defaults to :sha3_256 :sign , which defaults to :secp256r1","ref":"OnFlow.Crypto.html#sign/3","title":"OnFlow.Crypto.sign/3","type":"function"},{"doc":"","ref":"OnFlow.Transaction.html","title":"OnFlow.Transaction","type":"module"},{"doc":"","ref":"OnFlow.Transaction.html#build_signature/4","title":"OnFlow.Transaction.build_signature/4","type":"function"},{"doc":"","ref":"OnFlow.Transaction.html#envelope_canonical_form/1","title":"OnFlow.Transaction.envelope_canonical_form/1","type":"function"},{"doc":"","ref":"OnFlow.Transaction.html#payload/1","title":"OnFlow.Transaction.payload/1","type":"function"},{"doc":"","ref":"OnFlow.Transaction.html#payload_canonical_form/1","title":"OnFlow.Transaction.payload_canonical_form/1","type":"function"},{"doc":"","ref":"OnFlow.Util.html","title":"OnFlow.Util","type":"module"},{"doc":"Decodes the given hex string to a binary. Also accepts hex strings prefixed by &quot;0x&quot; for convenience. iex&gt; decode16 ( &quot;&quot; ) &quot;&quot; iex&gt; decode16 ( &quot;666f6f&quot; ) &quot;foo&quot; iex&gt; decode16 ( &quot;0x666f6f&quot; ) &quot;foo&quot; iex&gt; decode16 ( &quot;0X666f6f&quot; ) &quot;foo&quot; iex&gt; decode16 ( &quot;0X666f6F&quot; ) &quot;foo&quot;","ref":"OnFlow.Util.html#decode16/1","title":"OnFlow.Util.decode16/1","type":"function"},{"doc":"Encodes the given binary to a hex string. iex&gt; encode16 ( &quot;&quot; ) &quot;&quot; iex&gt; encode16 ( &quot;foo&quot; ) &quot;666f6f&quot;","ref":"OnFlow.Util.html#encode16/1","title":"OnFlow.Util.encode16/1","type":"function"},{"doc":"Pads a given binary or list of binaries with null bytes until the given binary reaches the given byte size. direction can be either :left or :right , but defaults to :left . If count is not a positive integer, the binary is returned unchanged. iex&gt; pad ( &lt;&lt; 91 , 77 &gt;&gt; , 4 ) &lt;&lt; 0 , 0 , 91 , 77 &gt;&gt; iex&gt; pad ( &lt;&lt; 91 , 77 &gt;&gt; , 4 , :right ) &lt;&lt; 91 , 77 , 0 , 0 &gt;&gt; iex&gt; pad ( [ &lt;&lt; 91 , 77 &gt;&gt; , &lt;&lt; 129 &gt;&gt; ] , 4 , :right ) [ &lt;&lt; 91 , 77 , 0 , 0 &gt;&gt; , &lt;&lt; 129 , 0 , 0 , 0 &gt;&gt; ] iex&gt; pad ( [ &lt;&lt; 91 , 77 &gt;&gt; , &lt;&lt; 129 &gt;&gt; ] , 0 ) [ &lt;&lt; 91 , 77 &gt;&gt; , &lt;&lt; 129 &gt;&gt; ]","ref":"OnFlow.Util.html#pad/3","title":"OnFlow.Util.pad/3","type":"function"},{"doc":"Trims &quot;0x&quot; off the given string. iex&gt; trim_0x ( &quot;&quot; ) &quot;&quot; iex&gt; trim_0x ( &quot;666f6f&quot; ) &quot;666f6f&quot; iex&gt; trim_0x ( &quot;0x666f6f&quot; ) &quot;666f6f&quot; iex&gt; trim_0x ( &quot;0X666f6f&quot; ) &quot;666f6f&quot;","ref":"OnFlow.Util.html#trim_0x/1","title":"OnFlow.Util.trim_0x/1","type":"function"},{"doc":"","ref":"OnFlow.MissingKeysError.html","title":"OnFlow.MissingKeysError","type":"exception"},{"doc":"OnFlow OnFlow is an Elixir client for interacting with the Flow blockchain. Documentation here: https://hexdocs.pm/on_flow .","ref":"readme.html","title":"OnFlow","type":"extras"},{"doc":"Note that the GRPC and cowlib libraries are required: def deps do [ { :on_flow , &quot;~&gt; 0.1&quot; } , { :grpc , github : &quot;elixir-grpc/grpc&quot; } , { :cowlib , &quot;~&gt; 2.9&quot; , override : true } ] end","ref":"readme.html#installation","title":"OnFlow - Installation","type":"extras"}]